Commit 4ad89ba5 authored by Bernd Kuhls's avatar Bernd Kuhls Committed by Peter Korsgaard
Browse files

package/kodi-pvr-stalker: needs libxml2

Since
https://git.buildroot.net/buildroot/commit/package/kodi?id=bf9bfd065ba3fab328fd041ca040f2bf134fecf2
kodi itself does not depend on libxml2 anymore which previously
provided libxml2 still needed by kodi-pvr-stalker:
https://github.com/kodi-pvr/pvr.stalker/blob/Krypton/CMakeLists.txt#L12



Fixes a build error not caught by autobuilders because they do not have
host jdk installed:
CMake Error at /usr/share/cmake-3.7/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
  Could NOT find LibXml2 (missing: LIBXML2_LIBRARIES LIBXML2_INCLUDE_DIR)
Signed-off-by: default avatarBernd Kuhls <bernd.kuhls@t-online.de>
Signed-off-by: default avatarThomas Petazzoni <thomas.petazzoni@free-electrons.com>
(cherry picked from commit 7be5653b865938af3fdbcbd1553145a8e90426a1)
Signed-off-by: default avatarPeter Korsgaard <peter@korsgaard.com>
parent 1d297433
......@@ -2,6 +2,7 @@ config BR2_PACKAGE_KODI_PVR_STALKER
bool "kodi-pvr-stalker"
select BR2_PACKAGE_JSONCPP
select BR2_PACKAGE_KODI_PLATFORM
select BR2_PACKAGE_LIBXML2
help
A PVR Client that connects Kodi to Stalker Middleware
......
......@@ -10,6 +10,6 @@ KODI_PVR_STALKER_VERSION = 2.8.6-Krypton
KODI_PVR_STALKER_SITE = $(call github,kodi-pvr,pvr.stalker,$(KODI_PVR_STALKER_VERSION))
KODI_PVR_STALKER_LICENSE = GPL-2.0+
KODI_PVR_STALKER_LICENSE_FILES = src/client.h
KODI_PVR_STALKER_DEPENDENCIES = jsoncpp kodi-platform
KODI_PVR_STALKER_DEPENDENCIES = jsoncpp kodi-platform libxml2
$(eval $(cmake-package))
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment